Skip to content
vocapable.Docs

Your recorded voicemail drops (or the team's)

GET
/v1/workspace/voicemail-drops
curl --request GET \
--url 'https://api.vocapable.com/v1/workspace/voicemail-drops?scope=mine' \
--header 'Authorization: Bearer <token>'
scope
Scope
string
default: mine
Allowed values: mine team

Successful Response

Media typeapplication/json
WorkspaceVoicemailDrops
object
drops
required
Drops
Array<object>
WorkspaceVoicemailDrop
object
id
required
Id
string
user_id
required
User Id
string
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
slot
required
Slot
integer
name
required
Name
string
duration_ms
required
Duration Ms
integer
size_bytes
required
Size Bytes
integer
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
max_drops
required
Max Drops
integer
max_seconds
required
Max Seconds
integer
accepted_content_type
required
Accepted Content Type
string
Allowed value: audio/wav
accepted_upload_types
required
Accepted Upload Types
Array<string>
Allowed values: audio/wav audio/x-wav audio/mp4 audio/m4a audio/x-m4a audio/aac
Example
{
"accepted_content_type": "audio/wav",
"accepted_upload_types": [
"audio/wav"
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}